Advice and answers from the BitPay Team

Problem

When attempting to install the BitPay PHP SDK or plugin via composer, you receive the message:

Could not fetch https://api.github.com/repos/username/repo/v1.2.3, enter your GitHub credentials to go over the API rate limit
The credentials will be swapped for an OAuth token stored in /home/ubuntu/.composer/config.json, your password will not be stored
To revoke access to this token you can visit https://github.com/settings/applications
Username:

Solution

If you are using composer which is installed in your user directory, use:

php ~/composer.phar install --prefer-source --no-interaction

If you are using a globally-installed composer, use:

composer install --prefer-source --no-interaction

Affects

Any merchant or developer using Composer to install BitPay software located in a GitHub repository.

Did this answer your question?